/* Code-Input Compatibility */
/* By WebCoder49 */
/* First Published on CSS-Tricks.com */
.code-input_pre-element-styled>pre {
  resize: both;
}

code-input {
  width: calc(100% - 16px) !important;
}

code-input {
  overflow: hidden !important;
  position: relative;
  top: 0;
  left: 0;
  display: block;

  padding: 8px;
  margin: 8px;
  min-width: calc(100% - 16px);
  min-height: 250px !important;
  height: auto;
  width: auto;

  font-size: normal;
  font-family: monospace;
  line-height: normal;
  tab-size: 2;
  
  caret-color: darkgrey;
  white-space: pre;
  resize: both;
  /* overflow: auto !important; */
}

code-input textarea,
code-input:not(.code-input_pre-element-styled) pre code,
code-input.code-input_pre-element-styled pre {
  margin: 0px !important;
  /* padding: var(--padding, 16px) !important; */
  border: 0;

}

textarea {
  padding: 13px 10px 10px 12px;
}

pre {
  margin: 0px !important;
  /* padding: var(--padding, 16px) !important; */
  border: 0;
}

code-input textarea,
code-input pre,
code-input pre * {
  font-size: inherit !important;
  font-family: inherit !important;
  line-height: inherit !important;
  tab-size: inherit !important;
  height: 100%;
}


code-input textarea,
code-input pre {
  position: absolute;
  top: 0;
  left: 0;
}

.sqltextareatrigger textarea {
  padding: 17px 10px 10px 28px !important
}


.ezCodeInputWf code-input textarea {
  padding: 16px 10px 8px 15px !important;
}

code-input textarea {
  z-index: 1;
}

code-input pre {
  z-index: 0;
}


code-input textarea {
  color: transparent;
  background: transparent;
  caret-color: inherit !important;
}

code-input textarea,
code-input pre {
  overflow: auto !important;

  white-space: inherit;
  word-spacing: normal;
  word-break: normal;
  word-wrap: normal;
}

code-input textarea {
  height: 100%;
  resize: none;
  outline: none !important;
  width: 100%;
}

code-input:not(.code-input_registered)::before {
  content: "Use codeInput.registerTemplate to set up.";
  display: block;
  color: grey;
}


pre {
  width: 100%;
}

code[class*="language-"],
pre[class*="language-"] {
  color: black;
  background: none;
  text-shadow: 0 1px white;
  font-family: Consolas, Monaco, 'Andale Mono', 'Ubuntu Mono', monospace;
  font-size: 1em;
  text-align: left;
  white-space: pre;
  word-spacing: normal;
  word-break: normal;
  word-wrap: normal;
  line-height: 1.5;

  -moz-tab-size: 4;
  -o-tab-size: 4;
  tab-size: 4;

  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}


pre[class*="language-"]::-moz-selection,
pre[class*="language-"] ::-moz-selection,
code[class*="language-"]::-moz-selection,
code[class*="language-"] ::-moz-selection {
  text-shadow: none;
  background: #b3d4fc;
}

pre[class*="language-"]::selection,
pre[class*="language-"] ::selection,
code[class*="language-"]::selection,
code[class*="language-"] ::selection {
  text-shadow: none;
  background: #b3d4fc;
}

@media print {

  code[class*="language-"],
  pre[class*="language-"] {
    text-shadow: none;
  }
}

/* Code blocks */
pre[class*="language-"] {
  padding: 1em;
  margin: .5em 0;
  overflow: auto;
}

:not(pre)>code[class*="language-"],
pre[class*="language-"] {
  background: #f5f2f0;
}

/* Inline code */
:not(pre)>code[class*="language-"] {
  padding: .1em;
  border-radius: .3em;
  white-space: normal;
}

.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
  color: slategray;
}

.token.punctuation {
  color: #999;
}

.token.namespace {
  opacity: .7;
}

.token.property,
.token.tag,
.token.boolean,
.token.number,
.token.constant,
.token.symbol,
.token.deleted {
  color: #905;
}

.token.selector,
.token.attr-name,
.token.string,
.token.char,
.token.builtin,
.token.inserted {
  color: #690;
}

.token.operator,
.token.entity,
.token.url,
.language-css .token.string,
.style .token.string {
  color: #9a6e3a;
  /* This background color was intended by the author of this theme. */
  background: hsla(0, 0%, 100%, .5);
}

.token.atrule,
.token.attr-value,
.token.keyword {
  color: #07a;
}

.token.function,
.token.class-name {
  color: #DD4A68;
}

.token.regex,
.token.important,
.token.variable {
  color: #e90;
}

.token.important,
.token.bold {
  font-weight: bold;
}

.token.italic {
  font-style: italic;
}

.token.entity {
  cursor: help;
}